<?php
class ctl_other_ads extends mod_other_ads {

	function act_default() {
		$this->arr_list = $this->get_pagelist( );
		return $this->get_view(); 
	}
	function act_edit() {

		$this->editinfo = $this->get_editinfo( fun_get::get('id') );
		$this->arr_state = tab_other_ads::get_perms("state");
		$this->arr_type = tab_other_ads::get_perms("type");
		$this->version_info = cls_config::get("" , "version" , "" , "");
		return $this->get_view();
	}

	function act_save() {
		$arr_return = $this->on_save();
		return fun_format::json($arr_return);
	}
	function act_delete() {
		$arr_return = $this->on_delete();
		return fun_format::json($arr_return);
	}
}
?>